#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

class Prompt;
class QTextBrowser;
class QSlider;
class QProgressBar;

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    QTextBrowser* getConsole();
    QSlider* getSwitch();
    QProgressBar* getLed();
    Prompt* getPrompt();
private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
